XnGeneralBuffer.h File Reference
`#include "XnPlatform.h"`
`#include "XnOS.h"`
`#include "XnStatusCodes.h"`

Go to the source code of this file.

## Classes

struct | XnGeneralBuffer

## Macros

#define | XN_PACK_GENERAL_BUFFER(x)
#define | XN_VALIDATE_GENERAL_BUFFER_TYPE(gb, t)

## Typedefs

typedef struct XnGeneralBuffer | XnGeneralBuffer

## Functions

XnGeneralBuffer | XnGeneralBufferPack (void *pData, XnUInt32 nDataSize)
XnStatus | XnGeneralBufferCopy (XnGeneralBuffer *pDest, const XnGeneralBuffer *pSrc)
XnStatus | XnGeneralBufferAlloc (XnGeneralBuffer *pDest, XnUInt32 nSize)
XnStatus | XnGeneralBufferRealloc (XnGeneralBuffer *pDest, XnUInt32 nSize)
void | XnGeneralBufferFree (XnGeneralBuffer *pDest)

## Macro Definition Documentation

## XN_PACK_GENERAL_BUFFER

#define XN_PACK_GENERAL_BUFFER | ( |  | x | ) |

Value:
XnGeneralBufferPack(&x, sizeof(x))
XnGeneralBufferPack
XnGeneralBuffer XnGeneralBufferPack(void *pData, XnUInt32 nDataSize)
Definition XnGeneralBuffer.h:52

## XN_VALIDATE_GENERAL_BUFFER_TYPE

#define XN_VALIDATE_GENERAL_BUFFER_TYPE | ( |  | gb,
|  |  | t )

Value:
if ((gb).nDataSize != sizeof(t)) \
{ \
return XN_STATUS_INVALID_BUFFER_SIZE; \
}

## Typedef Documentation

## XnGeneralBuffer

typedef struct XnGeneralBuffer XnGeneralBuffer

## Function Documentation

## XnGeneralBufferAlloc()

XnStatus XnGeneralBufferAlloc | ( | XnGeneralBuffer * | pDest,
|  | XnUInt32 | nSize )

inline

## XnGeneralBufferCopy()

XnStatus XnGeneralBufferCopy | ( | XnGeneralBuffer * | pDest,
|  | const XnGeneralBuffer * | pSrc )

inline

Copies one general buffer into another.

## XnGeneralBufferFree()

void XnGeneralBufferFree | ( | XnGeneralBuffer * | pDest | ) |

inline

## XnGeneralBufferPack()

XnGeneralBuffer XnGeneralBufferPack | ( | void * | pData,
|  | XnUInt32 | nDataSize )

inline

Packs a pointer and a size into an XnGeneralBuffer struct.

## XnGeneralBufferRealloc()

XnStatus XnGeneralBufferRealloc | ( | XnGeneralBuffer * | pDest,
|  | XnUInt32 | nSize )

inline